Bug 974017 - Incorrect example 'Getting Data for Single and Multiple Resources'
Incorrect example 'Getting Data for Single and Multiple Resources'
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.1.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 05:55 EDT by Filip Brychta
Modified: 2014-10-23 08:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 12:33:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2013-06-13 05:55:58 EDT
Document URL: 
https://access.redhat.com/site/documentation/en-US/JBoss_Operations_Network/3.1/html/Dev_Writing_JON_Command-Line_Scripts/multi.html

Section Number and Name: 
Example 3. get(i)

Describe the issue: 
Command MeasurementDataManager.findDataForResource(resources.get(0).id,[mdef.id],start,end,"") throws java.lang.IllegalArgumentException: Number of buckets must be > 0

Suggestions for improvement: 
Correct command - MeasurementDataManager.findDataForResource(resources.get(0).id,[mdef.id],start,end,1)

Additional information: 
This issue has appeared on RHQ Version: 4.8.0-SNAPSHOT.

Note You need to log in before you can comment on or make changes to this bug.